Skip to main content
Contract / Claims

Update a claim

This method is idempotent. This method is equivalent to a replace operation.

PUT
/fm/contract/claims/{approval_id}

An fm_approvals table lock is obtained during the execution of this API.

This method requires the Contract:UpdateClaim permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
approval_idstringrequired

Approval Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
Delegated-Locking-Session-Idstringheader

(Optional) Locking responsibility will be delegated to the specified Session Id.

This header enables the client to instruct the API to merely verify the presence of locks with the specified session id, but not attempt to obtain them itself. It requires the DelegatedLocking permission to be associated with your role.

Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC

Claim will be processed in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

application/json

JSON payload

attachment_idstring
bank_details_correct_flagenum<string>default:no
Available options: yes, no
billing_periodinteger
contract_idstringrequired
driver_bank_account_idstring

If omitted, defaults to the driver's claims-default bank account (fm_driver_bank_accounts.claims_default_flag = 'yes'), or the salary-packaged contract's linked bank account where applicable. Re-derived on every update when omitted, even if a different value was previously set explicitly.

invoice_datestring
invoice_nostring
maintenance_linesobject[]
notesstring

Response

application/vnd.catch-e-api.v1+json

Claim updated successfully

approval_idstring
approval_sub_status_idstring
attachment_idstring
bank_details_correct_flagenum<string>default:no
Available options: yes, no
billing_periodintegerdefault:0
client_phonestring
contract_idstring
createdstring
driver_bank_account_idstring
driver_namestring
driver_phonestring
invoice_datestring
invoice_nostring
last_editstring
maintenance_linesobject[]
misc_phonestring
notesstring
payee_payment_method_idstring
posted_datestring
reimbursement_flagenum<string>default:no
Available options: yes, no
status_flagstring
supplier_contactstring
supplier_idstring
supplier_phonestring
user_idstring
user_id_editstring